<div class="article article-editor {{if this.isChanged 'editor-changed'}}" {{did-update this.reset @value}} ...attributes>
  {{#if this.hasMissingTitle}}
    <div class="alert alert-danger" role="alert">
      {{t "missing-title-message"}}
      <a href="#" class="alert-link add-title-link" {{on "click" this.setTitlePlaceholder}}>
        {{t "add-article-title"}}
      </a>
    </div>
  {{/if}}

  <EditorJs @value={{this.value}} @allowVideo={{@allowVideo}} @onChange={{this.change}} @onPictureUpload={{@onPictureUpload}} @onReady={{this.ready}} />

  {{#if this.hasNoParagraph}}
    <div class="text-muted mb-3">
      {{t "missing-paragraph-message"}}
      <a href="#" class="add-paragraph-link" {{on "click" this.setParagraphPlaceholder}}> {{t "add-article-paragraph"}}</a>
    </div>
  {{/if}}
</div>